erreur de syntaxe en python

Le
Bernard Schoenacker
bonjour,

lors d'une install de paquet j'ai une erreur de syntaxe
en python :

début :

Traitement des actions différées (« triggers ») pour
« python-support » /usr/lib/pymodules/python2.5/usbcreator/insta=
ll.py:255:
Warning: 'with' will become a reserved keyword in Python
2.6 /usr/lib/pymodules/python2.5/usbcreator/install.py:255: Warning:
'as' will become a reserved keyword in Python 2.6

section incriminée :

Compiling /usr/lib/pymodules/python2.5/usbcreator/install.py
File "/usr/lib/pymodules/python2.5/usbcreator/install.py", line 255
with (openos.path.join(self.target, '.disk', 'info'),'r') as f:
^
serait il possible de me donner un coup de pouce pour corriger
le tir et en même temps le faire pour que l'ensemble puisse
en profiter .

Bienvenue en france pour Charles Plessy, malgré les évènements
précipités


slt
bernard

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers debian-user-french-REQUEST@lists.debian.org
En cas de soucis, contactez EN ANGLAIS listmaster@lists.debian.org
Archive: http://lists.debian.org/20110322083530.5850256f.bernard.schoenacker_free.fr@hamtaro
Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos réponses
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
nicolas.patrois
Le #23223831
Le 22/03/2011 09:52:48, Bernard Schoenacker a écrit :

désolé mais c'est pas moi qui ait codé le truc, maisc'est
du fait que la syntaxe change auniveau des versions ...
bref si je remplace with par as je ne sais pas du tout si
ça passe ...
reste à lancer un ticker en BTS debian



On ne peut pas imposer la version de Python utilisée dans le script
dans son en-tête ?

nicolas patrois : pts noir asocial
--
RÉALISME

M : Qu'est-ce qu'il nous faudrait pour qu'on nous considère comme des
humains ? Un cerveau plus gros ?
P : Non... Une carte bleue suffirait...

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
Bernard Schoenacker
Le #23223841
Le Tue, 22 Mar 2011 08:00:34 +0000,
a écrit :

Bonjour,

Le mot-clé with n'existe en python 2.5 que si tu ajoutes from
__future__ import with_statement en tête du module.

Avec ça ça devrait fonctionner.

A+

Jean-Philippe
-----Original Message-----
From: Bernard Schoenacker Date: Tue, 22 Mar 2011 08:35:30
To: Subject: erreur de syntaxe en python

bonjour,

lors d'une install de paquet j'ai une erreur de syntaxe
en python :

début :

Traitement des actions différées (« triggers ») pour
« python-support »... /usr/lib/pymodules/python2.5/usbcreator/ins tall.py:255:
Warning: 'with' will become a reserved keyword in Python
2.6 /usr/lib/pymodules/python2.5/usbcreator/install.py:255: Warning:
'as' will become a reserved keyword in Python 2.6

section incriminée :

Compiling /usr/lib/pymodules/python2.5/usbcreator/install.py ...
File "/usr/lib/pymodules/python2.5/usbcreator/install.py", line 255
with (openos.path.join(self.target, '.disk', 'info'),'r') as f:
^
serait il possible de me donner un coup de pouce pour corriger
le tir et en même temps le faire pour que l'ensemble puisse
en profiter ....

Bienvenue en france pour Charles Plessy, malgré les évènements
précipités ...


slt
bernard



bonjour,

désolé mais c'est pas moi qui ait codé le truc, maisc'est
du fait que la syntaxe change auniveau des versions ...

bref si je remplace with par as je ne sais pas du tout si
ça passe ...

reste à lancer un ticker en BTS debian

slt
bernard

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
Jean-Philippe Thierry
Le #23223901
--00504501740881f19b049f0e9bc2
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable

Le 22 mars 2011 09:52, Bernard Schoenacker écrit :

Le Tue, 22 Mar 2011 08:00:34 +0000,
a écrit :

> Bonjour,
>
> Le mot-clé with n'existe en python 2.5 que si tu ajoutes from
> __future__ import with_statement en tête du module.
>
> Avec ça ça devrait fonctionner.
>
> A+
>
> Jean-Philippe
> -----Original Message-----
> From: Bernard Schoenacker > Date: Tue, 22 Mar 2011 08:35:30
> To: > Subject: erreur de syntaxe en python
>
> bonjour,
>
> lors d'une install de paquet j'ai une erreur de syntaxe
> en python :
>
> début :
>
> Traitement des actions différées (« triggers ») pour
> « python-support »...
/usr/lib/pymodules/python2.5/usbcreator/install.py:255:
> Warning: 'with' will become a reserved keyword in Python
> 2.6 /usr/lib/pymodules/python2.5/usbcreator/install.py:255: Warning:
> 'as' will become a reserved keyword in Python 2.6
>
> section incriminée :
>
> Compiling /usr/lib/pymodules/python2.5/usbcreator/install.py ...
> File "/usr/lib/pymodules/python2.5/usbcreator/install.py", line 255
> with (openos.path.join(self.target, '.disk', 'info'),'r') as f:
> ^
> serait il possible de me donner un coup de pouce pour corriger
> le tir et en même temps le faire pour que l'ensemble puisse
> en profiter ....
>
> Bienvenue en france pour Charles Plessy, malgré les évèneme nts
> précipités ...
>
>
> slt
> bernard

bonjour,

désolé mais c'est pas moi qui ait codé le truc, maisc'est
du fait que la syntaxe change auniveau des versions ...

bref si je remplace with par as je ne sais pas du tout si
ça passe ...

à mon avis tu peux simplement ajouter "from __future__ import


with_statement" en ligne 2 ou 3 de
/usr/lib/pymodules/python2.5/usbcreator/install.py. Attention, uniquement
dans le répertoire python2.5 ; cela permettra à python 2.5 de connaît re le
mot-clé "with"


reste à lancer un ticker en BTS debian

C'est dans tous les cas un bug : soit les dépendances du paquet ne sont pas


bonnes soit la syntaxe est fausse.


slt
bernard




slt

--
Jean-Philippe

--00504501740881f19b049f0e9bc2
Content-Type: text/html; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable


Le Tue, 22 Mar 2011 08:00:34 +0000,<br>
<div><div></div><div class="h5"><br>
&gt; Bonjour,<br>
&gt;<br>
&gt; Le mot-clé with n&#39;existe en python 2.5 que si tu ajoutes from<br >
&gt; __future__ import with_statement en tête du module.<br>
&gt;<br>
&gt; Avec ça ça devrait fonctionner.<br>
&gt;<br>
&gt; A+<br>
&gt;<br>
&gt; Jean-Philippe<br>
&gt; -----Original Message-----<br>
&gt; From: Bernard Schoenacker &lt; &gt; Date: Tue, 22 Mar 2011 08:35:30<br>
&gt; To: &lt; &gt; Subject: erreur de syntaxe en python<br>
&gt;<br>
&gt; bonjour,<br>
&gt;<br>
&gt;       lors d&#39;une install de paquet j&#39;ai une erreur de sy ntaxe<br>
&gt;       en python :<br>
&gt;<br>
&gt;       début :<br>
&gt;<br>
&gt; Traitement des actions différées (« triggers ») pour<br>
&gt; « python-support »... /usr/lib/pymodules/python2.5/usbcreator/ install.py:255:<br>
&gt; Warning: &#39;with&#39; will become a reserved keyword in Python<br>
&gt; 2.6 /usr/lib/pymodules/python2.5/usbcreator/install.py:255: Warning:<b r>
&gt; &#39;as&#39; will become a reserved keyword in Python 2.6<br>
&gt;<br>
&gt; section incriminée :<br>
&gt;<br>
&gt; Compiling /usr/lib/pymodules/python2.5/usbcreator/install.py ...<br>
&gt;   File &quot;/usr/lib/pymodules/python2.5/usbcreator/install.py&quot ;, line 255<br>
&gt;     with (openos.path.join(self.target, &#39;.disk&#39;, &#39;info &#39;),&#39;r&#39;) as f:<br>
&gt;                                                                 ^<br>
&gt;       serait il possible de me donner un coup de pouce pour corr iger<br>
&gt;       le tir et en même temps le faire pour que l&#39;ensemble puisse<br>
&gt;       en profiter ....<br>
&gt;<br>
&gt;       Bienvenue en france pour Charles Plessy, malgré les év ènements<br>
&gt;       précipités ...<br>
&gt;<br>
&gt;<br>
&gt;       slt<br>
&gt;       bernard<br>
<br>
</div></div>bonjour,<br>
<br>
       désolé mais c&#39;est pas moi qui ait codé le truc, m aisc&#39;est<br>
       du fait que la syntaxe change auniveau des versions ...<br>
<br>
       bref si je remplace with par as je ne sais pas du tout si<b r>
       ça passe ...<br>

         reste à lancer un ticker en BTS debian<br>


       slt<br>
<font color="#888888">        bernard<br>
</font></blockquote></div><br>slt<br clear="all"><br>-- <br><div>Jean-Phi lippe</div><br>

--00504501740881f19b049f0e9bc2--

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
FR
Le #23223911
Le mardi 22 mars 2011 09:52:48, Bernard Schoenacker a écrit :
Le Tue, 22 Mar 2011 08:00:34 +0000,

a écrit :
> Bonjour,
>
> Le mot-clé with n'existe en python 2.5 que si tu ajoutes from
> __future__ import with_statement en tête du module.
>
> Avec ça ça devrait fonctionner.
>
> A+
>
> Jean-Philippe
> -----Original Message-----
> From: Bernard Schoenacker > Date: Tue, 22 Mar 2011 08:35:30
> To: > Subject: erreur de syntaxe en python
>
> bonjour,
>
> lors d'une install de paquet j'ai une erreur de syntaxe
> en python :
>
> début :
> Traitement des actions différées (« triggers ») pour
> « python-support »...
> /usr/lib/pymodules/python2.5/usbcreator/install.py:255: Warning: 'with'
> will become a reserved keyword in Python
> 2.6 /usr/lib/pymodules/python2.5/usbcreator/install.py:255: Warning:
> 'as' will become a reserved keyword in Python 2.6
>
> section incriminée :
>
> Compiling /usr/lib/pymodules/python2.5/usbcreator/install.py ...
>
> File "/usr/lib/pymodules/python2.5/usbcreator/install.py", line 255
>
> with (openos.path.join(self.target, '.disk', 'info'),'r') as f:
> ^
>
> serait il possible de me donner un coup de pouce pour corriger
> le tir et en même temps le faire pour que l'ensemble puisse
> en profiter ....
>
> Bienvenue en france pour Charles Plessy, malgré les évènements
> précipités ...
>
>
> slt
> bernard

bonjour,

désolé mais c'est pas moi qui ait codé le truc, maisc'est
du fait que la syntaxe change auniveau des versions ...

bref si je remplace with par as je ne sais pas du tout si
ça passe ...

reste à lancer un ticker en BTS debian



http://bugs.debian.org/cgi-bin/bugreport.cgi?bugY9407

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
Publicité
Poster une réponse
Anonyme